      ****************************************************************
      *     THIS COPY FILE DEFINES THE AREA OF WORKING STORAGE USED  *
      *     TO VALIDATE A TRANSACTION AFTER IT HAS BEEN MOVED FROM   *
      *     THE APPROPRIATE TRANSACTION HOLD TABLE OR AREA.          *
      *                                                              *
      *     FILE  : WS0001.CBL                                       *
      *     AUTHOR: CHERYL D. WOOD & MIKE RAY                        *
      *     DATE  : AUGUST 8, 1995                                   *
      *                                                              *
      *     REVISED:                                                 *
      *     09/06/1995  TO REFLECT NEW 1996 MANUAL 13,               *
      *                 DAS HANDBOOK DIRECTIVES.                     *
      *     09/07/1995  TO INCLUDE TYPE 16                           *
      *                 DAS HANDBOOK DIRECTIVES.                     *
      *--------------------------------------------------------------
      *     12/03/96  PUT YIELD LIMITATION FLAG BACK INTO T15,
      *               PER M13 (REVISION 97M1303).  JLH.
      ****************************************************************



      ****************************************************************
      *     THE INCOMINING TRANSACTION RECORDS ARE MOVED INTO THIS   *
      *     AREA OF WORKING STORAGE. REDEFINITION OF BUFFER SPACE    *
      *     IS UTILIZED TO ACCOMODATE EACH TRANSACTION RECORD TYPE   *
      *                                                              *
      *     ALL DATA TYPES ARE DESCRIBED AS ALPHANUMERIC TO PREVENT  *
      *     DATA EXCEPTION ERRORS ON INCOMING TRANSACTIONS. FIELDS   *
      *     THAT MUST BE NUMERIC FOR CALULATION, EDITING ETC. ARE    *
      *     MOVED TO OTHER WORKING STORAGE AREAS OF THIS PROGRAM,    *
      *     WHERE THE NUMERIC DESCRIPTIONS ARE DEFINED. THESE NUMERIC*
      *     DESCRIPTIONS WILL ULTIMATELY BE USED TO POPULATE THE     *
      *     DATABASE WHERE APPROPRIATE.                              *
      ****************************************************************

       01 WS-TRAN-400.
          05 WS-TRANS.
             10 WS-TRANS-REC.
                15 WS-TRAN-TYPE                   PIC 9(02).
                   88 TYPE10                         VALUE 10.
                   88 TYPE11                         VALUE 11.
                   88 TYPE12                         VALUE 12.
                   88 TYPE14                         VALUE 14.
                   88 TYPE15                         VALUE 15.
                   88 TYPE16                         VALUE 16.
                   88 TYPE20                         VALUE 20.
                   88 TYPE21                         VALUE 21.
                   88 TYPE33                         VALUE 33.
                   88 TYPE49                         VALUE 49.
                   88 TYPE50                         VALUE 50.
                   88 TYPE55                         VALUE 55.
                   88 TYPE56                         VALUE 56.
                   88 TYPE65                         VALUE 65.
                   88 TYPE80                         VALUE 80.
                   88 TYPE81                         VALUE 81.
                   88 TYPE97                         VALUE 97.
                   88 TYPE00                         VALUE 00.
                   88 VALID-TRAN-TYPE                VALUE
                                                      10 11 12 00
                                                      14 15 16
                                                      20 21 33
                                                      49 50 55
                                                      56 65 97.
                   88 POLICY-TRANS                   VALUE
                                                      10 11 12
                                                      14 15 16
                                                      20 21 50.
                   88 CROP-TRANS                     VALUE
                                                      11 14 15
                                                      21.
                   88 RO-TRANS                       VALUE
                                                      33 49 55
                                                      56 65.
                   88 INQUIRY-TRANS                  VALUE
                                                     80 81.
                   88 DELETE-TRANS                   VALUE
                                                     49.
                   88 UNIMPLEMENTED-TRAN             VALUE
                                                      16 33 50
                                                      65.
                15 WS-POLICY-NO.
                   20 WS-T-REPORTING-ORG            PIC X(02).
                   20 WS-T-LOC-STATE                PIC X(02).
                   20 WS-T-COMPANY-COUNTY           PIC X(03).
                   20 WS-T-POLICY-NUM               PIC X(07).
                   20 WS-T-CROP-YEAR                PIC X(04).
                15 FILLER                         PIC X(330).

      ***************************************************************
      * WHEN THE RECORD DEFINITION FOR THE TYPE 10 CHANGES, IT IS   *
      * NECESSARY TO UPDATE THE FOLLOWING AREAS IN WORKING STORAGE. *
      *                                                             *
      *      WS-0005-CURRENT-POLICY-RECORD                          *
      *      WS-0010-TBL-TYPE-10                                    *
      *      WS-7005-TYPE-10                                        *
      *                                                             *
      * IT IS ALSO NECESSARY TO UPDATE THE WORKING STORAGE AND EDIT *
      * LOGIC FOR ANY FIELD, INTER-FIELD, OR INTER-RECORD EDITS     *
      * EFFECTED BY THE CHANGE.                                     *
      ***************************************************************

             10 WS-TRANSACTION-REC10 REDEFINES
                WS-TRANS-REC.
                15 WS-T10-RECORD-TYPE             PIC 9(02).
                15 WS-T10-RECORD-TYPE-X REDEFINES
                   WS-T10-RECORD-TYPE             PIC X(02).
                15 WS-T10-REPORTING-ORG           PIC X(02).
                15 WS-T10-LOC-STATE               PIC 9(02).
                15 WS-T10-LOC-STATE-X REDEFINES
                   WS-T10-LOC-STATE               PIC X(02).
                15 WS-T10-COMPANY-COUNTY          PIC 9(03).
                15 WS-T10-COMPANY-COUNTY-X REDEFINES
                   WS-T10-COMPANY-COUNTY          PIC X(03).
                15 WS-T10-POLICY-NUM              PIC 9(07).
                15 WS-T10-POLICY-NUM-X REDEFINES
                   WS-T10-POLICY-NUM              PIC X(07).
                15 WS-T10-CROP-YEAR               PIC 9(04).
                15 WS-T10-CROP-YEAR-X REDEFINES
                   WS-T10-CROP-YEAR               PIC X(04).
                15 WS-T10-KEY-RESERVE             PIC X(55).
                15 WS-T10-RECORD-NUM              PIC 9(03).
                   88 T10-POLICY-RECORD            VALUE 001.
                15 WS-T10-RECORD-NUM-X REDEFINES
                   WS-T10-RECORD-NUM              PIC X(03).
                15 WS-T10-BRNCH-OFF-STATE-CD      PIC X(02).
                15 WS-T10-ID-TYPE                 PIC 9(01).
                15 WS-T10-ID-TYPE-X REDEFINES
                   WS-T10-ID-TYPE                 PIC X(01).
                15 WS-T10-ID-NUM                  PIC 9(09).
                15 WS-T10-ID-NUM-X REDEFINES
                   WS-T10-ID-NUM                  PIC X(09).
                15 WS-T10-ENTITY-TYPE             PIC X(01).
                15 WS-T10-PROD-LST-NAME           PIC X(20).
                15 WS-T10-PROD-FRST-NAME          PIC X(10).
                15 WS-T10-PROD-MIDDLE-NAME        PIC X(10).
                15 WS-T10-PROD-NAME-SFX           PIC X(05).
                15 WS-T10-PROD-TITLE              PIC X(04).
                15 WS-T10-BUSINESS-NAME           PIC X(35).
                15 WS-T10-ADDRESS-1               PIC X(35).
                15 WS-T10-ADDRESS-2               PIC X(35).
                15 WS-T10-CITY                    PIC X(35).
                15 WS-T10-ADDRESS-STATE           PIC X(02).
                15 WS-T10-ZIP-CODE                PIC 9(05).
                15 WS-T10-ZIP-CODE-X REDEFINES
                   WS-T10-ZIP-CODE                PIC X(05).
                15 WS-T10-ZIP-EXT                 PIC 9(04).
                15 WS-T10-ZIP-EXT-X REDEFINES
                   WS-T10-ZIP-EXT                 PIC X(04).
                15 WS-T10-PHONE-NUM               PIC X(10).
                15 WS-T10-CFSA-COMP-EMPL          PIC X(01).
      ** ADDITIONAL FIELDS NEEDED BY ACCOUNTING
                15 WS-T10-FILLER-1                PIC X(31).
                15 WS-T10-LOSS-INDICATOR          PIC X(01).
                15 WS-T10-RM-DATA-RECEIPT-DATE    PIC 9(08).
      ** END OF ADDITIONAL FIELDS FOR ACCOUNING
                15 WS-T10-FSA-CONTROL-DATE        PIC 9(08).
                15 WS-T10-FSA-CONTROL-DATE-X REDEFINES
                   WS-T10-FSA-CONTROL-DATE        PIC X(08).


             10 WS-TRANSACTION-REC11 REDEFINES
                WS-TRANS-REC.
                15 WS-T11-RECORD-TYPE             PIC 9(02).            1
                15 WS-T11-RECORD-TYPE-X REDEFINES
                   WS-T11-RECORD-TYPE             PIC X(02).
                15 WS-T11-REPORTING-ORG           PIC X(02).            3
                15 WS-T11-LOC-STATE               PIC 9(02).            5
                15 WS-T11-LOC-STATE-X REDEFINES
                   WS-T11-LOC-STATE               PIC X(02).
                15 WS-T11-COMPANY-COUNTY          PIC 9(03).            7
                15 WS-T11-COMPANY-COUNTY-X REDEFINES
                   WS-T11-COMPANY-COUNTY          PIC X(03).
                15 WS-T11-POLICY-NUM              PIC 9(07).            10
                15 WS-T11-POLICY-NUM-X REDEFINES
                   WS-T11-POLICY-NUM              PIC X(07).
                15 WS-T11-CROP-YEAR               PIC 9(04).            17
                15 WS-T11-CROP-YEAR-X REDEFINES
                   WS-T11-CROP-YEAR               PIC X(04).
                15 WS-T11-CROP-CD                 PIC 9(04).            21
                15 WS-T11-CROP-CD-X REDEFINES
                   WS-T11-CROP-CD                 PIC X(04).
                15 WS-T11-INSUR-PLAN-CD           PIC 9(02).            25
                15 WS-T11-INSUR-PLAN-CD-X REDEFINES
                   WS-T11-INSUR-PLAN-CD           PIC X(02).
                15 WS-T11-LOCATION-COUNTY         PIC 9(03).            27
                15 WS-T11-LOCATION-COUNTY-X REDEFINES
                   WS-T11-LOCATION-COUNTY         PIC X(03).
                15 WS-T11-UNIT-NUM                PIC 9(05).            30
                15 WS-T11-UNIT-NUM-X REDEFINES
                   WS-T11-UNIT-NUM                PIC X(05).
                15 WS-T11-TYPE-CD                 PIC 9(03).            35
                15 WS-T11-TYPE-CD-X REDEFINES
                   WS-T11-TYPE-CD                 PIC X(03).
                15 WS-T11-PRACTICE-CD             PIC 9(03).            38
                15 WS-T11-PRACTICE-CD-X REDEFINES
                   WS-T11-PRACTICE-CD             PIC X(03).
                15 WS-T11-COVERAGE-FLG            PIC X(01).            41
                15 WS-T11-KEY-RESERVE             PIC X(32).            42
                15 WS-T11-FILLER-1                PIC X(02).            74
                15 WS-T11-RECORD-NUM              PIC 9(03).            76
                15 WS-T11-RECORD-NUM-X REDEFINES
                   WS-T11-RECORD-NUM              PIC X(03).
                15 WS-T11-TYPE15-REC-NO           PIC 9(03).            79
                15 WS-T11-TYPE15-REC-NO-X REDEFINES
                   WS-T11-TYPE15-REC-NO           PIC X(03).
                15 WS-T11-AGENT-ID-CODE           PIC X(09).            82
                15 WS-T11-RATE-CLASS              PIC X(03).            91
                15 WS-T11-MAP-AREA                PIC X(03).            94
                15 WS-T11-CRUSH-DISTRICT          PIC X(02).            97
                15 WS-T11-REFERENCE-CROP-YR       PIC 9(04).            99
                15 WS-T11-REFERENCE-CROP-YR-X REDEFINES
                   WS-T11-REFERENCE-CROP-YR       PIC X(04).
                15 WS-T11-NCS-FCIC-2-FL           PIC X(01).            103
                15 WS-T11-DATE-PLANTED            PIC 9(08).            104
                15 WS-T11-DATE-PLANTED-X REDEFINES
                   WS-T11-DATE-PLANTED            PIC X(08).
                15 WS-T11-GUARANTEE-REDUCT-FLG    PIC X(01).            112
                15 WS-T11-YIELD                   PIC 9(07)V9(01).      113
                15 WS-T11-YIELD-X REDEFINES
                   WS-T11-YIELD                   PIC X(08).
                15 WS-T11-DOLLAR-AMT-INSUR        PIC 9(06)V9(02).      121
                15 WS-T11-DOLLAR-AMT-INSUR-X REDEFINES
                   WS-T11-DOLLAR-AMT-INSUR        PIC X(08).
                15 WS-T11-QUOTA                   PIC 9(10).            129
                15 WS-T11-QUOTA-X REDEFINES
                   WS-T11-QUOTA                   PIC X(10).
                15 WS-T11-COVERAGE-LEVEL-PCT      PIC 9(02).            139
                15 WS-T11-COVERAGE-LEVEL-PCT-X REDEFINES
                   WS-T11-COVERAGE-LEVEL-PCT      PIC X(02).
                15 WS-T11-GUARANTEE-PER-ACRE      PIC 9(06)V9(02).      141
                15 WS-T11-GUARANTEE-PER-ACRE-X REDEFINES
                   WS-T11-GUARANTEE-PER-ACRE      PIC X(08).
                15 WS-T11-GUARANTEE-RED-PCT       PIC V9(03).           149
                15 WS-T11-GUARANTEE-RED-PCT-X REDEFINES
                   WS-T11-GUARANTEE-RED-PCT       PIC X(03).
                15 WS-T11-REPORTED-ACRES          PIC 9(06)V9(02).      152
                15 WS-T11-REPORTED-ACRES-X REDEFINES
                   WS-T11-REPORTED-ACRES          PIC X(08).
                15 WS-T11-TOTAL-GUARANTEE         PIC 9(08)V9(02).      160
                15 WS-T11-TOTAL-GUARANTEE-X REDEFINES
                   WS-T11-TOTAL-GUARANTEE         PIC X(10).
                15 WS-T11-PRICE-ELECTION          PIC 9(04)V9(04).      170
                15 WS-T11-PRICE-ELECTION-X REDEFINES
                   WS-T11-PRICE-ELECTION          PIC X(08).
                15 WS-T11-INSURED-SHARE           PIC 9(01)V9(03).      178
                15 WS-T11-INSURED-SHARE-X REDEFINES
                   WS-T11-INSURED-SHARE           PIC X(04).
                15 WS-T11-LIABILITY               PIC 9(09).            182
                15 WS-T11-LIABILITY-X REDEFINES
                   WS-T11-LIABILITY               PIC X(09).
                15 WS-T11-YIELD-CONVR-PCT-FCTR    PIC 9(01)V9(02).      191
                15 WS-T11-PERCENT-ELECTION REDEFINES
                   WS-T11-YIELD-CONVR-PCT-FCTR    PIC 9(01)V9(02).
                15 WS-T11-YIELD-CONVR-PCT-FCTR-9 REDEFINES
                   WS-T11-YIELD-CONVR-PCT-FCTR    PIC 9(03).
                15 WS-T11-BASE-PREM-RATE          PIC 9(04)V9(04).      194
                15 WS-T11-BASE-PREM-RATE-X REDEFINES
                   WS-T11-BASE-PREM-RATE          PIC X(08).
                15 WS-T11-OPTION-CD.
                    20 WS-T11-UNIT-OPT-CD             PIC X(02).        202
                    20 WS-T11-ADD-OPT-CD              PIC X(06).        204
                15 WS-T11-TYPE-PRAC-OPT-CD        PIC X(08).            210
                15 WS-T11-EXPERIENCE-FACTOR       PIC 9(01)V9(02).      218
                15 WS-T11-EXPERIENCE-FACTOR-X REDEFINES
                   WS-T11-EXPERIENCE-FACTOR       PIC X(03).
                15 WS-T11-PREM-RATE-SURCHARGE     PIC X(01).            221
                15 WS-T11-TOTAL-PREMIUM           PIC 9(08).
                15 WS-T11-TOTAL-PREMIUM-X REDEFINES
                   WS-T11-TOTAL-PREMIUM           PIC X(08).            222
                15 WS-T11-PRODUCER-PREMIUM        PIC 9(08).            230
                15 WS-T11-PRODUCER-PREMIUM-X REDEFINES
                   WS-T11-PRODUCER-PREMIUM        PIC X(08).
                15 WS-T11-PRIVATE-POLICY-CD       PIC X(03).            238
                15 WS-T11-INTENDED-ACREAGE-FLAG   PIC X(01).
                15 WS-T11-SEED-COMPANY-CD         PIC 9(03).            242
                15 WS-T11-SEED-COMPANY-CD-X REDEFINES
                   WS-T11-SEED-COMPANY-CD         PIC X(03).
                15 WS-T11-RATE-STATE              PIC 9(02).            245
                15 WS-T11-RATE-STATE-X REDEFINES
                   WS-T11-RATE-STATE              PIC X(02).
                15 WS-T11-RATE-COUNTY             PIC 9(03).            247
                15 WS-T11-RATE-COUNTY-X REDEFINES
                   WS-T11-RATE-COUNTY             PIC X(03).
                15 WS-T11-FARM-SERIAL-NUM         PIC X(07).            250
                15 WS-T11-REVENUE-CVG-LEVEL-PCT   PIC 9(01)V9(04).      257
                15 WS-T11-REVENUE-CVG-LEVEL-PCT-X REDEFINES
                   WS-T11-REVENUE-CVG-LEVEL-PCT   PIC X(05).
                15 WS-T11-NUMBER-OF-SECTIONS      PIC 9(02).
                15 WS-T11-NUMBER-OF-SECTIONS-X REDEFINES
                   WS-T11-NUMBER-OF-SECTIONS      PIC X(02).
                15 WS-T11-UNIT-PREMIUM-ADJ-FCTR   PIC 9(01)V9(03).
                15 WS-T11-UNIT-PREMIUM-ADJ-FCTR-X REDEFINES
                   WS-T11-UNIT-PREMIUM-ADJ-FCTR   PIC X(04).
                15 WS-T11-PARTIAL-PP-FLAG         PIC X(01).
                15 WS-T11-IP-COUNTY-AVG-YIELD     PIC 9(07)V9(01).
                15 WS-T11-IP-COUNTY-AVG-YIELD-X REDEFINES
                   WS-T11-IP-COUNTY-AVG-YIELD     PIC X(08).
                15 WS-T11-WFARM-DISCOUNT-FCTR     PIC 9(01)V9(03).
                15 WS-T11-WFARM-DISCOUNT-FCTR-X REDEFINES
                   WS-T11-WFARM-DISCOUNT-FCTR     PIC X(04).
      ** ADDITIONAL FIELDS NEEDED BY ACCOUNTING
                15 WS-T11-FILLER-2                PIC X(24).
                15 WS-T11-SEED-CYCLE-CODE         PIC X(01).
                15 WS-T11-CRC-APH-PREMIUM         PIC 9(08).            306
                15 WS-T11-CAT-65-100-PREMIUM      PIC 9(08).            314
                15 WS-T11-1996-CROP-CODE          PIC 9(03).            322
                15 WS-T11-1996-TYPE-CODE          PIC X(03).            325
                15 WS-T11-RM-DATA-RECEIPT-DATE    PIC 9(08).            328
                15 WS-T11-FILLER-3                PIC X(02).            336
      ** END OF ADDITIONAL FIELDS FOR ACCOUNTING
                15 WS-T11-WEEKS-LATE              PIC 9(02).            338
                15 WS-T11-FIRST-SUBMISSION-FLG    PIC X(01).            340
                15 WS-T11-FILLER-4                PIC X(02).            341
                15 WS-T11-FSA-CONTROL-DATE        PIC 9(08).            343
                15 WS-T11-FSA-CONTROL-DATE-X REDEFINES
                   WS-T11-FSA-CONTROL-DATE        PIC X(08).            350


             10 WS-TRANSACTION-REC12 REDEFINES
                WS-TRANS-REC.
                15 WS-T12-RECORD-TYPE             PIC 9(02).
                15 WS-T12-RECORD-TYPE-X REDEFINES
                   WS-T12-RECORD-TYPE             PIC X(02).
                15 WS-T12-REPORTING-ORG           PIC X(02).
                15 WS-T12-LOC-STATE               PIC 9(02).
                15 WS-T12-LOC-STATE-X REDEFINES
                   WS-T12-LOC-STATE               PIC X(02).
                15 WS-T12-COMPANY-COUNTY          PIC 9(03).
                15 WS-T12-COMPANY-COUNTY-X REDEFINES
                   WS-T12-COMPANY-COUNTY          PIC X(03).
                15 WS-T12-POLICY-NUM              PIC 9(07).
                15 WS-T12-POLICY-NUM-X REDEFINES
                   WS-T12-POLICY-NUM              PIC X(07).
                15 WS-T12-CROP-YEAR               PIC 9(04).
                15 WS-T12-CROP-YEAR-X REDEFINES
                   WS-T12-CROP-YEAR               PIC X(04).
                15 WS-T12-KEY-RESERVE             PIC X(55).
                15 WS-T12-RECORD-NUM              PIC 9(03).
                15 WS-T12-RECORD-NUM-X REDEFINES
                   WS-T12-RECORD-NUM              PIC X(03).
                15 WS-T12-PAYMENT-TYPE            PIC 9(02).
                15 WS-T12-PAYMENT-TYPE-X REDEFINES
                   WS-T12-PAYMENT-TYPE            PIC X(02).
                15 WS-T12-PAID-AMOUNT             PIC S9(08)V9(02)
                    SIGN IS TRAILING.
                15 WS-T12-PAID-AMOUNT-X REDEFINES
                   WS-T12-PAID-AMOUNT             PIC X(10).
                15 WS-T12-PAID-AMOUNT-N REDEFINES
                   WS-T12-PAID-AMOUNT             PIC 9(08)V9(02).
                15 WS-T12-PREPAYMENT-FLG          PIC 9(01).
                15 WS-T12-PREPAYMENT-FLG-X REDEFINES
                   WS-T12-PREPAYMENT-FLG          PIC X(01).
                15 WS-T12-PAID-DATE               PIC 9(08).
                15 WS-T12-PAID-DATE-X REDEFINES
                   WS-T12-PAID-DATE               PIC X(08).
      ** ADDITIONAL FIELDS NEEDED BY ACCOUNTING
                15 WS-T12-FILLER-1                PIC X(209).
                15 WS-T12-PMEMO-PARENT-TSEQ-NO    PIC 9(08).
                15 WS-T12-PMEMO-CONTRACT-NUMBER   PIC X(18).
                15 WS-T12-RM-DATA-RECEIPT-DATE    PIC 9(08).
                15 WS-T12-FILLER-2                PIC X(08).
      ** END OF ADDITIONAL FIELDS FOR ACCOUNING


             10 WS-TRANSACTION-REC14 REDEFINES
                WS-TRANS-REC.
                15 WS-T14-RECORD-TYPE             PIC 9(02).            1
                15 WS-T14-RECORD-TYPE-X REDEFINES
                   WS-T14-RECORD-TYPE             PIC X(02).
                15 WS-T14-REPORTING-ORG           PIC X(02).            3
                15 WS-T14-LOC-STATE               PIC 9(02).            5
                15 WS-T14-LOC-STATE-X REDEFINES
                   WS-T14-LOC-STATE               PIC X(02).
                15 WS-T14-COMPANY-COUNTY          PIC 9(03).            7
                15 WS-T14-COMPANY-COUNTY-X REDEFINES
                   WS-T14-COMPANY-COUNTY          PIC X(03).
                15 WS-T14-POLICY-NUM              PIC 9(07).            10
                15 WS-T14-POLICY-NUM-X REDEFINES
                   WS-T14-POLICY-NUM              PIC X(07).
                15 WS-T14-CROP-YEAR               PIC 9(04).            17
                15 WS-T14-CROP-YEAR-X REDEFINES
                   WS-T14-CROP-YEAR               PIC X(04).
                15 WS-T14-CROP-CD                 PIC 9(04).            21
                15 WS-T14-CROP-CD-X REDEFINES
                   WS-T14-CROP-CD                 PIC X(04).
                15 WS-T14-INSURANCE-PLAN-ID       PIC 9(02).            25
                15 WS-T14-INSURANCE-PLAN-ID-X REDEFINES
                   WS-T14-INSURANCE-PLAN-ID       PIC X(02).
                15 WS-T14-LOCATION-COUNTY         PIC 9(03).            27
                15 WS-T14-LOCATION-COUNTY-X REDEFINES
                   WS-T14-LOCATION-COUNTY         PIC X(03).
                15 WS-T14-FILLER-1                PIC X(05).            30
                15 WS-T14-TYPE-CD                 PIC 9(03).            35
                15 WS-T14-TYPE-CD-X REDEFINES
                   WS-T14-TYPE-CD                 PIC X(03).
                15 WS-T14-RSERVD-PRACT-CODE       PIC 9(03).            38
                15 WS-T14-RSERVD-PRACT-CODE-X REDEFINES
                   WS-T14-RSERVD-PRACT-CODE       PIC X(03).
                15 WS-T14-COVERAGE-FLG            PIC X(01).            41
                15 WS-T14-KEY-RESERVE             PIC X(32).            42
                15 WS-T14-FILLER-2                PIC X(02).            74
                15 WS-T14-RECORD-NUM              PIC 9(03).            76
                15 WS-T14-RECORD-NUM-X REDEFINES
                   WS-T14-RECORD-NUM              PIC X(03).
                15 WS-T14-ASSIGNED-RISK           PIC 9(01).            79
                15 WS-T14-ASSIGNED-RISK-X REDEFINES
                   WS-T14-ASSIGNED-RISK           PIC X(01).
                15 WS-T14-LATE-PROCESS-FLG        PIC 9(01).            80
                15 WS-T14-LATE-PROCESS-FLG-X REDEFINES
                   WS-T14-LATE-PROCESS-FLG        PIC X(01).
                15 WS-T14-PREPAYMENT-FLG          PIC X(01).            81
                15 WS-T14-MAX-FEE-CAUSE           PIC X(01).            82
                15 WS-T14-ADMIN-FEE-FL            PIC X(01).            83
                15 WS-T14-REFND-CANCEL-FLG        PIC X(01).            84
                15 WS-T14-RATE-STATE              PIC 9(02).            85
                15 WS-T14-RATE-STATE-X REDEFINES
                   WS-T14-RATE-STATE              PIC X(02).
                15 WS-T14-RATE-COUNTY             PIC 9(03).            87
                15 WS-T14-RATE-COUNTY-X REDEFINES
                   WS-T14-RATE-COUNTY             PIC X(03).
                15 WS-T14-DUAL-COVERAGE-FLG       PIC 9(01).            90
                15 WS-T14-DUAL-COVERAGE-FLG-X REDEFINES
                   WS-T14-DUAL-COVERAGE-FLG       PIC X(01).
                15 WS-T14-EXPERIENCE-INQ          PIC X(01).            91
      ** ADDITIONAL FIELDS NEEDED BY ACCOUNTING
                15 WS-T14-FILLER-3                PIC X(221).           92
                15 WS-T14-1996-CROP-CODE          PIC 9(03).            313
                15 WS-T14-1996-TYPE-CODE          PIC X(03).            316
                15 WS-T14-RM-DATA-RECEIPT-DATE    PIC 9(08).            319
                15 WS-T14-ORIG-SUBMISSION-TIME.                         327
                   20 WS-T14-ORIG-SUB-HOURS      PIC 9(02).
                   20 WS-T14-TIME-SPACER-1       PIC X(01).
                   20 WS-T14-ORIG-SUB-MINUTES    PIC 9(02).
                   20 WS-T14-TIME-SPACER-2       PIC X(01).
                   20 WS-T14-ORIG-SUB-SECONDS    PIC 9(02).
                15 WS-T14-ORIG-SUBMISSION-DATE.                         335
                   20 WS-T14-ORIG-SUB-DAYS       PIC 9(02).
                   20 WS-T14-ORIG-SUB-MONTH      PIC 9(02).
                   20 WS-T14-ORIG-SUB-YEARS      PIC 9(04).
      ** END OF ADDITIONAL FIELDS FOR ACCOUNING
                15 WS-T14-FSA-CONTROL-DATE        PIC 9(8).             343


             10 WS-TRANSACTION-REC15 REDEFINES
                WS-TRANS-REC.
                15 WS-T15-RECORD-TYPE             PIC 9(02).            1
                15 WS-T15-RECORD-TYPE-X REDEFINES
                   WS-T15-RECORD-TYPE             PIC X(02).
                15 WS-T15-REPORTING-ORG           PIC X(02).            3
                15 WS-T15-LOC-STATE               PIC 9(02).            5
                15 WS-T15-LOC-STATE-X REDEFINES
                   WS-T15-LOC-STATE               PIC X(02).
                15 WS-T15-COMPANY-COUNTY          PIC 9(03).            7
                15 WS-T15-COMPANY-COUNTY-X REDEFINES
                   WS-T15-COMPANY-COUNTY          PIC X(03).
                15 WS-T15-POLICY-NUM              PIC 9(07).            10
                15 WS-T15-POLICY-NUM-X REDEFINES
                   WS-T15-POLICY-NUM              PIC X(07).
                15 WS-T15-CROP-YEAR               PIC 9(04).            17
                15 WS-T15-CROP-YEAR-X REDEFINES
                   WS-T15-CROP-YEAR               PIC X(04).
                15 WS-T15-CROP-CD                 PIC 9(04).            21
                15 WS-T15-CROP-CD-X REDEFINES
                   WS-T15-CROP-CD                 PIC X(04).
                15 WS-T15-INS-PLAN-CD             PIC 9(02).            25
                15 WS-T15-INS-PLAN-CD-X REDEFINES
                   WS-T15-INS-PLAN-CD             PIC X(02).
                15 WS-T15-LOCATION-COUNTY         PIC 9(03).            27
                15 WS-T15-LOCATION-COUNTY-X REDEFINES
                   WS-T15-LOCATION-COUNTY         PIC X(03).
                15 WS-T15-UNIT-NUM                PIC 9(05).            30
                15 WS-T15-UNIT-NUM-X REDEFINES
                   WS-T15-UNIT-NUM.
                   20 WS-T15-BASIC-UNIT-NUM          PIC 9(03).
                   20 WS-T15-BASIC-UNIT-NUM-X REDEFINES
                      WS-T15-BASIC-UNIT-NUM          PIC X(03).
                   20 WS-T15-OPTIONAL-UNIT           PIC 9(02).
                   20 WS-T15-OPTIONAL-UNIT-X REDEFINES
                      WS-T15-OPTIONAL-UNIT           PIC X(02).
                15 WS-T15-TYPE-CD                 PIC 9(03).            35
                15 WS-T15-TYPE-CD-X REDEFINES
                   WS-T15-TYPE-CD                 PIC X(03).
                15 WS-T15-PRACTICE-CD             PIC 9(03).            38
                15 WS-T15-PRACTICE-CD-X REDEFINES
                   WS-T15-PRACTICE-CD             PIC X(03).
                15 WS-T15-COVERAGE-FLG            PIC X(01).            41
                15 WS-T15-KEY-RESERVE             PIC X(32).            42
                15 WS-T15-FILLER-1                PIC X(02).            74
                15 WS-T15-RECORD-NUMBER           PIC 9(03).            76
                15 WS-T15-RECORD-NUMBER-X REDEFINES
                   WS-T15-RECORD-NUMBER           PIC X(03).
                15 WS-T15-MAP-AREA                PIC X(03).            79
                15 WS-T15-NCS-EXCEPTION-FLAG      PIC X(01).            82
                15 WS-T15-NCS-YIELD-FACTOR        PIC 9(01)V9(02).      83
                15 WS-T15-NCS-YIELD-FACTOR-X REDEFINES
                   WS-T15-NCS-YIELD-FACTOR        PIC X(03).
                15 WS-T15-REVIEW-FLG              PIC 9(02).            86
                15 WS-T15-REVIEW-FLG-X REDEFINES
                   WS-T15-REVIEW-FLG              PIC X(02).
                15 WS-T15-YIELD-INDICATOR         PIC X(01).            88
                15 WS-T15-TRANSITIONAL-YIELD      PIC 9(05)V9(01).      89
                15 WS-T15-TRANSITIONAL-YIELD-X REDEFINES
                   WS-T15-TRANSITIONAL-YIELD      PIC X(06).
                15 WS-T15-CFSA-YIELD              PIC 9(05)V9(01).      95
                15 WS-T15-CFSA-YIELD-X REDEFINES
                   WS-T15-CFSA-YIELD              PIC X(06).
                15 WS-T15-APPROVED-YIELD          PIC 9(05)V9(01).      101
                15 WS-T15-APPROVED-YIELD-X REDEFINES
                   WS-T15-APPROVED-YIELD          PIC X(06).
                15 WS-T15-PREV-APPROV-YIELD       PIC 9(05)V9(01).      107
                15 WS-T15-PREV-APPROV-YIELD-X REDEFINES
                   WS-T15-PREV-APPROV-YIELD       PIC X(06).
                15 WS-T15-YIELD-YEAR1             PIC 9(02).            113
                15 WS-T15-YIELD-YEAR1-X REDEFINES
                   WS-T15-YIELD-YEAR1             PIC X(02).
                15 WS-T15-YIELD-TYPE-YEAR1        PIC X(01).            115
                15 WS-T15-ANNUAL-YIELD1           PIC 9(05)V9(01).      116
                15 WS-T15-ANNUAL-YIELD1-X REDEFINES
                   WS-T15-ANNUAL-YIELD1           PIC X(06).
                15 WS-T15-YIELD-ACRE1             PIC 9(05)V9(02).      122
                15 WS-T15-YIELD-ACRE1-X REDEFINES
                   WS-T15-YIELD-ACRE1             PIC X(07).
                15 WS-T15-YIELD-YEAR2             PIC 9(02).            129
                15 WS-T15-YIELD-YEAR2-X REDEFINES
                   WS-T15-YIELD-YEAR2             PIC X(02).
                15 WS-T15-YIELD-TYPE-YEAR2        PIC X(01).            131
                15 WS-T15-ANNUAL-YIELD2           PIC 9(05)V9(01).      132
                15 WS-T15-ANNUAL-YIELD2-X REDEFINES
                   WS-T15-ANNUAL-YIELD2           PIC X(06).
                15 WS-T15-YIELD-ACRE2             PIC 9(05)V9(02).      138
                15 WS-T15-YIELD-ACRE2-X REDEFINES
                   WS-T15-YIELD-ACRE2             PIC X(07).
                15 WS-T15-YIELD-YEAR3             PIC 9(02).            145
                15 WS-T15-YIELD-YEAR3-X REDEFINES
                   WS-T15-YIELD-YEAR3             PIC X(02).
                15 WS-T15-YIELD-TYPE-YEAR3        PIC X(01).            147
                15 WS-T15-ANNUAL-YIELD3           PIC 9(05)V9(01).      148
                15 WS-T15-ANNUAL-YIELD3-X REDEFINES
                   WS-T15-ANNUAL-YIELD3           PIC X(06).
                15 WS-T15-YIELD-ACRE3             PIC 9(05)V9(02).      154
                15 WS-T15-YIELD-ACRE3-X REDEFINES
                   WS-T15-YIELD-ACRE3             PIC X(07).
                15 WS-T15-YIELD-YEAR4             PIC 9(02).            161
                15 WS-T15-YIELD-YEAR4-X REDEFINES
                   WS-T15-YIELD-YEAR4             PIC X(02).
                15 WS-T15-YIELD-TYPE-YEAR4        PIC X(01).            163
                15 WS-T15-ANNUAL-YIELD4           PIC 9(05)V9(01).      164
                15 WS-T15-ANNUAL-YIELD4-X REDEFINES
                   WS-T15-ANNUAL-YIELD4           PIC X(06).
                15 WS-T15-YIELD-ACRE4             PIC 9(05)V9(02).      170
                15 WS-T15-YIELD-ACRE4-X REDEFINES
                   WS-T15-YIELD-ACRE4             PIC X(07).
                15 WS-T15-YIELD-YEAR5             PIC 9(02).            177
                15 WS-T15-YIELD-YEAR5-X REDEFINES
                   WS-T15-YIELD-YEAR5             PIC X(02).
                15 WS-T15-YIELD-TYPE-YEAR5        PIC X(01).            179
                15 WS-T15-ANNUAL-YIELD5           PIC 9(05)V9(01).      180
                15 WS-T15-ANNUAL-YIELD5-X REDEFINES
                   WS-T15-ANNUAL-YIELD5           PIC X(06).
                15 WS-T15-YIELD-ACRE5             PIC 9(05)V9(02).      186
                15 WS-T15-YIELD-ACRE5-X REDEFINES
                   WS-T15-YIELD-ACRE5             PIC X(07).
                15 WS-T15-YIELD-YEAR6             PIC 9(02).            193
                15 WS-T15-YIELD-YEAR6-X REDEFINES
                   WS-T15-YIELD-YEAR6             PIC X(02).
                15 WS-T15-YIELD-TYPE-YEAR6        PIC X(01).            195
                15 WS-T15-ANNUAL-YIELD6           PIC 9(05)V9(01).      196
                15 WS-T15-ANNUAL-YIELD6-X REDEFINES
                   WS-T15-ANNUAL-YIELD6           PIC X(06).
                15 WS-T15-YIELD-ACRE6             PIC 9(05)V9(02).
                15 WS-T15-YIELD-ACRE6-X REDEFINES
                   WS-T15-YIELD-ACRE6             PIC X(07).
                15 WS-T15-YIELD-YEAR7             PIC 9(02).
                15 WS-T15-YIELD-YEAR7-X REDEFINES
                   WS-T15-YIELD-YEAR7             PIC X(02).
                15 WS-T15-YIELD-TYPE-YEAR7        PIC X(01).
                15 WS-T15-ANNUAL-YIELD7           PIC 9(05)V9(01).
                15 WS-T15-ANNUAL-YIELD7-X REDEFINES
                   WS-T15-ANNUAL-YIELD7           PIC X(06).
                15 WS-T15-YIELD-ACRE7             PIC 9(05)V9(02).
                15 WS-T15-YIELD-ACRE7-X REDEFINES
                   WS-T15-YIELD-ACRE7             PIC X(07).
                15 WS-T15-YIELD-YEAR8             PIC 9(02).
                15 WS-T15-YIELD-YEAR8-X REDEFINES
                   WS-T15-YIELD-YEAR8             PIC X(02).
                15 WS-T15-YIELD-TYPE-YEAR8        PIC X(01).
                15 WS-T15-ANNUAL-YIELD8           PIC 9(05)V9(01).
                15 WS-T15-ANNUAL-YIELD8-X REDEFINES
                   WS-T15-ANNUAL-YIELD8           PIC X(06).
                15 WS-T15-YIELD-ACRE8             PIC 9(05)V9(02).
                15 WS-T15-YIELD-ACRE8-X REDEFINES
                   WS-T15-YIELD-ACRE8             PIC X(07).
                15 WS-T15-YIELD-YEAR9             PIC 9(02).
                15 WS-T15-YIELD-YEAR9-X REDEFINES
                   WS-T15-YIELD-YEAR9             PIC X(02).
                15 WS-T15-YIELD-TYPE-YEAR9        PIC X(01).
                15 WS-T15-ANNUAL-YIELD9           PIC 9(05)V9(01).
                15 WS-T15-ANNUAL-YIELD9-X REDEFINES
                   WS-T15-ANNUAL-YIELD9           PIC X(06).
                15 WS-T15-YIELD-ACRE9             PIC 9(05)V9(02).
                15 WS-T15-YIELD-ACRE9-X REDEFINES
                   WS-T15-YIELD-ACRE9             PIC X(07).
                15 WS-T15-YIELD-YEAR10            PIC 9(02).
                15 WS-T15-YIELD-YEAR10-X REDEFINES
                   WS-T15-YIELD-YEAR10            PIC X(02).
                15 WS-T15-YIELD-TYPE-YEAR10       PIC X(01).
                15 WS-T15-ANNUAL-YIELD10          PIC 9(05)V9(01).
                15 WS-T15-ANNUAL-YIELD10-X REDEFINES
                   WS-T15-ANNUAL-YIELD10          PIC X(06).
                15 WS-T15-YIELD-ACRE10            PIC 9(05)V9(02).
                15 WS-T15-YIELD-ACRE10-X REDEFINES
                   WS-T15-YIELD-ACRE10            PIC X(07).
                15 WS-T15-RATE-STATE              PIC 9(02).
                15 WS-T15-RATE-STATE-X REDEFINES
                   WS-T15-RATE-STATE              PIC X(02).
                15 WS-T15-RATE-COUNTY             PIC 9(03).
                15 WS-T15-RATE-COUNTY-X REDEFINES
                   WS-T15-RATE-COUNTY             PIC X(03).
                15 WS-T15-FARM-SERIAL-NUM         PIC X(07).
                15 WS-T15-YIELD-LIMIT-FLG         PIC 9(01).
                15 WS-T15-YIELD-LIMIT-FLG-X REDEFINES
                   WS-T15-YIELD-LIMIT-FLG         PIC X(01).
                15 WS-T15-FILLER-2                PIC X(65).


             10 WS-TRANSACTION-REC16 REDEFINES
                WS-TRANS-REC.
                15 WS-T16-RECORD-TYPE             PIC 9(02).
                15 WS-T16-RECORD-TYPE-X REDEFINES
                   WS-T16-RECORD-TYPE             PIC X(02).
                15 WS-T16-REPORTING-ORG           PIC X(02).
                15 WS-T16-LOC-STATE               PIC 9(02).
                15 WS-T16-LOC-STATE-X REDEFINES
                   WS-T16-LOC-STATE               PIC X(02).
                15 WS-T16-COMPANY-COUNTY          PIC 9(03).
                15 WS-T16-COMPANY-COUNTY-X REDEFINES
                   WS-T16-COMPANY-COUNTY          PIC X(03).
                15 WS-T16-POLICY-NUM              PIC 9(07).
                15 WS-T16-POLICY-NUM-X REDEFINES
                   WS-T16-POLICY-NUM              PIC X(07).
                15 WS-T16-CROP-YEAR               PIC 9(04).
                15 WS-T16-CROP-YEAR-X REDEFINES
                   WS-T16-CROP-YEAR               PIC X(04).
                15 WS-T16-FILLER-2                PIC X(12).
                15 WS-T16-BRNCH-OFF-STATE-CD      PIC X(02).
                15 WS-T16-FILLER-3                PIC X(01).
                15 WS-T16-LOCATION-COUNTY         PIC 9(03).
                15 WS-T16-LOCATION-COUNTY-X REDEFINES
                   WS-T16-LOCATION-COUNTY         PIC X(03).
                15 WS-T16-RECORD-NUM              PIC 9(03).
                15 WS-T16-RECORD-NUM-X REDEFINES
                   WS-T16-RECORD-NUM              PIC X(03).
                15 WS-T16-3RD-PARTY-TYPE          PIC X(01).
                15 WS-T16-3RD-PARTY-NAME-TYPE     PIC X(01).
                15 WS-T16-FILLER-4                PIC X(10).
                15 WS-T16-3RD-PARTY-LAST-NAME     PIC X(20).
                15 WS-T16-3RD-PARTY-FIRST-NAME    PIC X(12).
                15 WS-T16-3RD-PARTY-MID-NAME      PIC X(10).
                15 WS-T16-3RD-PARTY-SFX           PIC X(03).
                15 WS-T16-3RD-PARTY-ADDRESS       PIC X(20).
                15 WS-T16-3RD-PARTY-CITY          PIC X(18).
                15 WS-T16-3RD-PARTY-STATE         PIC X(02).
                15 WS-T16-3RD-PARTY-ZIP           PIC 9(05).
                15 WS-T16-3RD-PARTY-ZIP-X REDEFINES
                   WS-T16-3RD-PARTY-ZIP           PIC X(05).
                15 WS-T16-3RD-PARTY-ZIP-EXT       PIC 9(04).
                15 WS-T16-3RD-PARTY-ZIP-EXT-X REDEFINES
                   WS-T16-3RD-PARTY-ZIP-EXT       PIC X(04).
                15 WS-T16-3RD-PARTY-ID-TYPE       PIC 9(01).
                15 WS-T16-3RD-PARTY-ID-TYPE-X REDEFINES
                   WS-T16-3RD-PARTY-ID-TYPE       PIC X(01).
                15 WS-T16-3RD-PARTY-ID-NUM        PIC 9(09).
                15 WS-T16-3RD-PARTY-ID-NUM-X REDEFINES
                   WS-T16-3RD-PARTY-ID-NUM        PIC X(09).
                15 WS-T16-FILLER-5                PIC X(02).
                15 WS-T16-3RD-PARTY-PHONE         PIC X(12).
                15 WS-T16-PAYMENT-CROP-CODE       PIC 9(03).
                15 WS-T16-PAYMENT-CROP-CODE-X REDEFINES
                   WS-T16-PAYMENT-CROP-CODE       PIC X(03).
                15 WS-T16-PAYMENT-CROP-UNIT       PIC X(04).
                15 WS-T16-SIGNATURE-DATE          PIC X(06).
                15 WS-T16-GOVT-AGENCY-FLAG        PIC X(01).
                15 WS-T16-PAYEE-FLAG              PIC X(01).
                15 WS-T16-RELEASE-FLAG            PIC 9(01).
                15 WS-T16-RELEASE-FLAG-X REDEFINES
                   WS-T16-RELEASE-FLAG            PIC X(01).
                15 WS-T16-3RD-PARTY-BUS-NAME      PIC X(30).
                15 WS-T16-FILLER-6                PIC X(10).
                15 WS-T16-RO-CONTROL-DATE         PIC 9(06).
                15 WS-T16-FCIC-CONTROL-TIME REDEFINES
                   WS-T16-RO-CONTROL-DATE         PIC 9(06).
                15 WS-T16-FCIC-CONTROL-DATE       PIC 9(06).
                15 WS-T16-FILLER-7                PIC X(12).
                15 WS-T16-POSITION-250            PIC X(01).
                15 FILLER                         PIC X(98).


             10 WS-TRANSACTION-REC20 REDEFINES
                WS-TRANS-REC.
                15 WS-T20-RECORD-TYPE             PIC 9(02).
                15 WS-T20-RECORD-TYPE-X REDEFINES
                   WS-T20-RECORD-TYPE             PIC X(02).
                15 WS-T20-REPORTING-ORG           PIC X(02).
                15 WS-T20-LOC-STATE               PIC 9(02).
                15 WS-T20-LOC-STATE-X REDEFINES
                   WS-T20-LOC-STATE               PIC X(02).
                15 WS-T20-COMPANY-COUNTY          PIC 9(03).
                15 WS-T20-COMPANY-COUNTY-X REDEFINES
                   WS-T20-COMPANY-COUNTY          PIC X(03).
                15 WS-T20-POLICY-NUM              PIC 9(07).
                15 WS-T20-POLICY-NUM-X REDEFINES
                   WS-T20-POLICY-NUM              PIC X(07).
                15 WS-T20-CROP-YEAR               PIC 9(04).
                15 WS-T20-CROP-YEAR-X REDEFINES
                   WS-T20-CROP-YEAR               PIC X(04).
                15 WS-T20-KEY-RESERVE-1           PIC X(21).
                15 WS-T20-OLD-FIELDS REDEFINES
                   WS-T20-KEY-RESERVE-1.
                   20 WS-T20-OLD-REINS-YR            PIC 9(04).
                   20 WS-T20-OLD-CLAIM-NUMBER        PIC 9(08).
                   20 FILLER                         PIC X(09).
                15 WS-T20-CLAIM-NUM               PIC 9(08).
                15 WS-T20-CLAIM-NUM-X REDEFINES
                   WS-T20-CLAIM-NUM               PIC X(08).
                15 WS-T20-REINSURE-YR             PIC 9(04).
                15 WS-T20-REINSURE-YR-X REDEFINES
                   WS-T20-REINSURE-YR             PIC X(04).
                15 WS-T20-KEY-RESERVE-2           PIC X(20).
                15 WS-T20-FILLER-1                PIC X(02).
                15 WS-T20-RECORD-NUM              PIC 9(03).
                15 WS-T20-RECORD-NUM-X REDEFINES
                   WS-T20-RECORD-NUM              PIC X(03).
                15 WS-T20-1ST-TOT-REINSURE-YR     PIC 9(04).
                15 WS-T20-1ST-TOT-REINSURE-YR-X REDEFINES
                   WS-T20-1ST-TOT-REINSURE-YR     PIC X(04).
                15 WS-T20-1ST-TOT-PCR-MEMO-CO     PIC 9(03).
                15 WS-T20-1ST-TOTAL               PIC X(01).
                15 WS-T20-1ST-ESCROW-CHK          PIC 9(09).
                15 WS-T20-1ST-ESCROW-CHK-X REDEFINES
                   WS-T20-1ST-ESCROW-CHK          PIC X(09).
                15 WS-T20-MEMO1 REDEFINES WS-T20-1ST-ESCROW-CHK.
                   20 WS-T20-P-CR-MEMO1-ST       PIC 9(02).
                   20 WS-T20-P-CR-MEMO1-ST-X REDEFINES
                      WS-T20-P-CR-MEMO1-ST       PIC X(02).
                   20 WS-T20-P-CR-MEMO1-POL      PIC 9(07).
                   20 WS-T20-P-CR-MEMO1-POL-X REDEFINES
                      WS-T20-P-CR-MEMO1-POL      PIC X(07).
                15 WS-T20-1ST-TOT-DT-DRAFT-ISSUE  PIC 9(08).
                15 WS-T20-1ST-TOTAL-AMOUNT        PIC S9(08)
                    SIGN IS TRAILING.
                15 WS-T20-1ST-TOTAL-AMOUNT-X REDEFINES
                   WS-T20-1ST-TOTAL-AMOUNT        PIC X(08).
                15 WS-T20-1ST-TOTAL-AMOUNT-N REDEFINES
                   WS-T20-1ST-TOTAL-AMOUNT        PIC 9(08).
                15 WS-T20-2ND-TOT-REINSURE-YR     PIC 9(04).
                15 WS-T20-2ND-TOT-REINSURE-YR-X REDEFINES
                   WS-T20-2ND-TOT-REINSURE-YR     PIC X(04).
                15 WS-T20-2ND-TOT-PCR-MEMO-CO     PIC 9(03).
                15 WS-T20-2ND-TOTAL               PIC X(01).
                15 WS-T20-2ND-ESCROW-CHK          PIC 9(09).
                15 WS-T20-2ND-ESCROW-CHK-X REDEFINES
                   WS-T20-2ND-ESCROW-CHK          PIC X(09).
                15 WS-T20-MEMO2 REDEFINES WS-T20-2ND-ESCROW-CHK.
                   20 WS-T20-P-CR-MEMO2-ST       PIC 9(02).
                   20 WS-T20-P-CR-MEMO2-ST-X REDEFINES
                      WS-T20-P-CR-MEMO2-ST       PIC X(02).
                   20 WS-T20-P-CR-MEMO2-POL      PIC 9(07).
                   20 WS-T20-P-CR-MEMO2-POL-X REDEFINES
                      WS-T20-P-CR-MEMO2-POL      PIC X(07).
                15 WS-T20-2ND-TOT-DT-DRAFT-ISSUE  PIC 9(08).
                15 WS-T20-2ND-TOTAL-AMOUNT        PIC S9(08)
                    SIGN IS TRAILING.
                15 WS-T20-2ND-TOTAL-AMOUNT-X REDEFINES
                   WS-T20-2ND-TOTAL-AMOUNT        PIC X(08).
                15 WS-T20-2ND-TOTAL-AMOUNT-N REDEFINES
                   WS-T20-2ND-TOTAL-AMOUNT        PIC 9(08).
                15 WS-T20-3RD-TOT-REINSURE-YR     PIC 9(04).
                15 WS-T20-3RD-TOT-REINSURE-YR-X REDEFINES
                   WS-T20-3RD-TOT-REINSURE-YR     PIC X(04).
                15 WS-T20-3RD-TOT-PCR-MEMO-CO     PIC 9(03).
                15 WS-T20-3RD-TOTAL               PIC X(01).
                15 WS-T20-3RD-ESCROW-CHK          PIC 9(09).
                15 WS-T20-3RD-ESCROW-CHK-X REDEFINES
                   WS-T20-3RD-ESCROW-CHK          PIC X(09).
                15 WS-T20-MEMO3 REDEFINES WS-T20-3RD-ESCROW-CHK.
                   20 WS-T20-P-CR-MEMO3-ST       PIC 9(02).
                   20 WS-T20-P-CR-MEMO3-ST-X REDEFINES
                      WS-T20-P-CR-MEMO3-ST       PIC X(02).
                   20 WS-T20-P-CR-MEMO3-POL      PIC 9(07).
                   20 WS-T20-P-CR-MEMO3-POL-X REDEFINES
                      WS-T20-P-CR-MEMO3-POL      PIC X(07).
                15 WS-T20-3RD-TOT-DT-DRAFT-ISSUE  PIC 9(08).
                15 WS-T20-3RD-TOTAL-AMOUNT        PIC S9(08)
                    SIGN IS TRAILING.
                15 WS-T20-3RD-TOTAL-AMOUNT-X REDEFINES
                   WS-T20-3RD-TOTAL-AMOUNT        PIC X(08).
                15 WS-T20-3RD-TOTAL-AMOUNT-N REDEFINES
                   WS-T20-3RD-TOTAL-AMOUNT        PIC 9(08).
                15 WS-T20-4TH-TOT-REINSURE-YR     PIC 9(04).
                15 WS-T20-4TH-TOT-REINSURE-YR-X REDEFINES
                   WS-T20-4TH-TOT-REINSURE-YR     PIC X(04).
                15 WS-T20-4TH-TOT-PCR-MEMO-CO     PIC 9(03).
                15 WS-T20-4TH-TOTAL               PIC X(01).
                15 WS-T20-4TH-ESCROW-CHK          PIC 9(09).
                15 WS-T20-4TH-ESCROW-CHK-X REDEFINES
                   WS-T20-4TH-ESCROW-CHK          PIC X(09).
                15 WS-T20-MEMO4 REDEFINES WS-T20-4TH-ESCROW-CHK.
                   20 WS-T20-P-CR-MEMO4-ST       PIC 9(02).
                   20 WS-T20-P-CR-MEMO4-ST-X REDEFINES
                      WS-T20-P-CR-MEMO4-ST       PIC X(02).
                   20 WS-T20-P-CR-MEMO4-POL      PIC 9(07).
                   20 WS-T20-P-CR-MEMO4-POL-X REDEFINES
                      WS-T20-P-CR-MEMO4-POL      PIC X(07).
                15 WS-T20-4TH-TOT-DT-DRAFT-ISSUE  PIC 9(08).
                15 WS-T20-4TH-TOTAL-AMOUNT        PIC S9(08)
                    SIGN IS TRAILING.
                15 WS-T20-4TH-TOTAL-AMOUNT-X REDEFINES
                   WS-T20-4TH-TOTAL-AMOUNT        PIC X(08).
                15 WS-T20-4TH-TOTAL-AMOUNT-N REDEFINES
                   WS-T20-4TH-TOTAL-AMOUNT        PIC 9(08).
                15 WS-T20-FILLER-2                PIC X(123).
      ** ADDITIONAL FIELDS NEEDED BY ACCOUNTING
                15 WS-T20-VALID-FOR-ESCROW        PIC X(01).
                15 WS-T20-RM-DATA-RECEIPT-DATE    PIC 9(08).
      ** END OF ADDITIONAL FIELDS FOR ACCOUNING
                15 WS-T20-FSA-CONTROL-DATE        PIC 9(08).
                15 WS-T20-FSA-CONTROL-DATE-X REDEFINES
                   WS-T20-FSA-CONTROL-DATE        PIC X(08).


             10 WS-TRANSACTION-REC21-NORM REDEFINES
                WS-TRANS-REC.
                15 WS-T21-RECORD-TYPE             PIC 9(02).
                15 WS-T21-RECORD-TYPE-X REDEFINES
                   WS-T21-RECORD-TYPE             PIC X(02).
                15 WS-T21-REPORTING-ORG           PIC X(02).
                15 WS-T21-LOC-STATE               PIC 9(02).
                15 WS-T21-LOC-STATE-X REDEFINES
                   WS-T21-LOC-STATE               PIC X(02).
                15 WS-T21-COMPANY-COUNTY          PIC 9(03).
                15 WS-T21-COMPANY-COUNTY-X REDEFINES
                   WS-T21-COMPANY-COUNTY          PIC X(03).
                15 WS-T21-POLICY-NUM              PIC 9(07).
                15 WS-T21-POLICY-NUM-X REDEFINES
                   WS-T21-POLICY-NUM              PIC X(07).
                15 WS-T21-CROP-YEAR.
                   20 WS-T21-CROP-CENT               PIC 9(02).
                   20 WS-T21-CROP-CENT-YR            PIC 9(02).
                15 WS-T21-CROP-YEAR-X REDEFINES
                   WS-T21-CROP-YEAR               PIC X(04).
                15 WS-T21-CROP-CD                 PIC 9(04).
                15 WS-T21-CROP-CD-X REDEFINES
                   WS-T21-CROP-CD                 PIC X(04).
                15 WS-T21-INS-PLAN-CD             PIC 9(02).
                15 WS-T21-INS-PLAN-CD-X REDEFINES
                   WS-T21-INS-PLAN-CD             PIC X(02).
                15 WS-T21-LOCATION-COUNTY         PIC 9(03).
                15 WS-T21-LOCATION-COUNTY-X REDEFINES
                   WS-T21-LOCATION-COUNTY         PIC X(03).
                15 WS-T21-UNIT-NUM                PIC 9(05).
                15 WS-T21-UNIT-NUM-X REDEFINES
                   WS-T21-UNIT-NUM.
                   20 WS-T21-BASIC-UNIT-NUM       PIC 9(03).
                   20 WS-T21-BASIC-UNIT-NUM-X REDEFINES
                      WS-T21-BASIC-UNIT-NUM       PIC X(03).
                   20 WS-T21-OPTIONAL-UNIT        PIC 9(02).
                   20 WS-T21-OPTIONAL-UNIT-X REDEFINES
                      WS-T21-OPTIONAL-UNIT        PIC X(02).
                15 WS-T21-TYPE-CD                 PIC 9(03).
                15 WS-T21-TYPE-CD-X REDEFINES
                   WS-T21-TYPE-CD                 PIC X(03).
                15 WS-T21-PRACTICE-CD             PIC 9(03).
                15 WS-T21-PRACTICE-CD-X REDEFINES
                   WS-T21-PRACTICE-CD             PIC X(03).
                15 WS-T21-COVERAGE-FLG            PIC X(01).
                15 WS-T21-CLAIM-NUM               PIC 9(08).
                15 WS-T21-CLAIM-NUM-X REDEFINES
                   WS-T21-CLAIM-NUM               PIC X(08).
                15 WS-T21-KEY-RESERVE             PIC X(24).
                15 WS-T21-FILLER-1                PIC X(02).
                15 WS-T21-RECORD-NUM              PIC 9(03).
                15 WS-T21-RECORD-NUM-X REDEFINES
                   WS-T21-RECORD-NUM              PIC X(03).
                15 WS-T21-ACREAGE-REC-NO          PIC 9(03).
                15 WS-T21-ACREAGE-REC-NO-X REDEFINES
                   WS-T21-ACREAGE-REC-NO          PIC X(03).
                15 WS-T21-ADJUSTER-ID-CD          PIC X(09).
                15 WS-T21-RATE-CLASS              PIC X(03).
                15 WS-T21-STAGE-CD                PIC X(02).
                15 WS-T21-100-PCT-REPLANT-FLG     PIC X(01).
                15 WS-T21-STAGE-GUAR-PER-ACRE     PIC 9(06)V9(02).
                15 WS-T21-STAGE-GUAR-PER-ACRE-X REDEFINES
                   WS-T21-STAGE-GUAR-PER-ACRE     PIC X(08).
                15 WS-T21-DETERMINED-ACRES        PIC 9(06)V9(02).
                15 WS-T21-DETERMINED-ACRES-X REDEFINES
                   WS-T21-DETERMINED-ACRES        PIC X(08).
                15 WS-T21-LIABILITY-FACTOR        PIC 9(01)V9(03).
                15 WS-T21-LIABILITY-FACTOR-X REDEFINES
                   WS-T21-LIABILITY-FACTOR        PIC X(04).
                15 WS-T21-LOSS-GUARANTEE          PIC 9(08)V9(02).
                15 WS-T21-LOSS-GUARANTEE-X REDEFINES
                   WS-T21-LOSS-GUARANTEE          PIC X(10).
                15 WS-T21-PROD-TO-CNT             PIC 9(08)V9(02).
                15 WS-T21-PROD-TO-CNT-X REDEFINES
                   WS-T21-PROD-TO-CNT             PIC X(10).
                15 WS-T21-FARM-UNIT-DEFIC         PIC S9(08)V9(02)
                    SIGN IS TRAILING.
                15 WS-T21-FARM-UNIT-DEFIC-X REDEFINES
                   WS-T21-FARM-UNIT-DEFIC         PIC X(10).
                15 WS-T21-FARM-UNIT-DEFIC-N REDEFINES
                   WS-T21-FARM-UNIT-DEFIC         PIC 9(08)V9(02).
                15 WS-T21-INSURED-SHARE           PIC 9(01)V9(03).
                15 WS-T21-INSURED-SHARE-X REDEFINES
                   WS-T21-INSURED-SHARE           PIC X(04).
                15 WS-T21-GRP-PMT-CALC-FCTR       PIC 9(01)V9(03).
                15 WS-T21-GRP-PMT-CALC-FCTR-X REDEFINES
                   WS-T21-GRP-PMT-CALC-FCTR       PIC X(04).
                15 WS-T21-INDEMNITY               PIC S9(08)
                    SIGN IS TRAILING.
                15 WS-T21-INDEMNITY-X REDEFINES
                   WS-T21-INDEMNITY               PIC X(08).
                15 WS-T21-INDEMNITY-N REDEFINES
                   WS-T21-INDEMNITY               PIC 9(08).
                15 WS-T21-HARVEST-PROD            PIC 9(08)V9(02).
                15 WS-T21-HARVEST-PROD-X REDEFINES
                   WS-T21-HARVEST-PROD            PIC X(10).
                15 WS-T21-SUGAR-FCTR              PIC V9(03).
                15 WS-T21-SUGAR-FCTR-X REDEFINES
                   WS-T21-SUGAR-FCTR              PIC X(03).
                15 WS-T21-AUDIT-CORR              PIC 9(01).
                15 WS-T21-AUDIT-CORR-X REDEFINES
                   WS-T21-AUDIT-CORR              PIC X(01).
                15 WS-T21-PRIMARY-MONTH           PIC 9(02).
                15 WS-T21-PRIMARY-MONTH-X REDEFINES
                   WS-T21-PRIMARY-MONTH           PIC X(02).
                15 WS-T21-SECONDARY-MONTH         PIC 9(02).
                15 WS-T21-SECONDARY-MONTH-X REDEFINES
                   WS-T21-SECONDARY-MONTH         PIC X(02).
                15 WS-T21-PRIMARY-CAUSE           PIC 9(02).
                15 WS-T21-PRIMARY-CAUSE-X REDEFINES
                   WS-T21-PRIMARY-CAUSE           PIC X(02).
                15 WS-T21-PRIMARY-PCT             PIC 9(01)V9(02).
                15 WS-T21-PRIMARY-PCT-X REDEFINES
                   WS-T21-PRIMARY-PCT             PIC X(03).
                15 WS-T21-SECONDARY-CAUSE         PIC 9(02).
                15 WS-T21-SECONDARY-CAUSE-X REDEFINES
                   WS-T21-SECONDARY-CAUSE         PIC X(02).
                15 WS-T21-SIMPLIFIED-CLM-FLG      PIC X(01).
                15 WS-T21-FARM-SERIAL-NUM         PIC X(07).
                15 WS-T21-REVENUE-CVG-LEVEL-PCT   PIC 9(01)V9(04).
                15 WS-T21-REVENUE-CVG-LEVEL-PCT-X REDEFINES
                   WS-T21-REVENUE-CVG-LEVEL-PCT   PIC X(05).
                15 WS-T21-GUARANTEE-RED-PCT       PIC 9(01)V9(03).
                15 WS-T21-GUARANTEE-RED-PCT-X REDEFINES
                   WS-T21-GUARANTEE-RED-PCT       PIC X(04).
                15 WS-T21-DOLLAR-AMT-INSUR        PIC 9(06)V9(02).
                15 WS-T21-DOLLAR-AMT-INSUR-X REDEFINES
                   WS-T21-DOLLAR-AMT-INSUR        PIC X(08).
      ** ADDITIONAL FIELDS NEEDED BY ACCOUNTING
                15 WS-T21-FILLER-2                PIC X(59).
                15 WS-T21-VALID-FOR-ESCROW        PIC X(01).
                15 WS-T21-1996-CROP-CODE          PIC 9(03).
                15 WS-T21-1996-TYPE-CODE          PIC X(03).
                15 WS-T21-RM-DATA-RECEIPT-DATE    PIC 9(08).
      ** END OF ADDITIONAL FIELDS FOR ACCOUNING
                15 WS-T21-YIELD                   PIC 9(07)V9(01).
                15 WS-T21-YIELD-X REDEFINES
                   WS-T21-YIELD                   PIC X(08).
                15 WS-T21-QUOTA                   PIC 9(10).
                15 WS-T21-QUOTA-X REDEFINES
                   WS-T21-QUOTA                   PIC X(10).
                15 WS-T21-COVERAGE-LEVEL-PCT      PIC 9(02).
                15 WS-T21-COVERAGE-LEVEL-PCT-X REDEFINES
                   WS-T21-COVERAGE-LEVEL-PCT      PIC X(02).
                15 WS-T21-PRICE-ELECTION          PIC 9(04)V9(04).
                15 WS-T21-PRICE-ELECTION-X REDEFINES
                   WS-T21-PRICE-ELECTION          PIC X(08).
                15 WS-T21-FILLER-3                PIC X(28).
                15 WS-T21-FSA-CONTROL-DATE        PIC 9(08).
                15 WS-T21-FSA-CONTROL-DATE-X REDEFINES
                   WS-T21-FSA-CONTROL-DATE        PIC X(08).


             10 WS-TRANSACTION-REC33 REDEFINES
                WS-TRANS-REC.
                15 WS-T33-RECORD-TYPE             PIC 9(02).
                15 WS-T33-RECORD-TYPE-X REDEFINES
                   WS-T33-RECORD-TYPE             PIC X(02).
                15 WS-T33-REPORTING-ORG           PIC X(02).
                15 WS-T33-LOC-STATE               PIC 9(02).
                15 WS-T33-LOC-STATE-X REDEFINES
                   WS-T33-LOC-STATE               PIC X(02).
                15 WS-T33-COMPANY-COUNTY          PIC 9(03).
                15 WS-T33-COMPANY-COUNTY-X REDEFINES
                   WS-T33-COMPANY-COUNTY          PIC X(03).
                15 WS-T33-POLICY-NUM              PIC 9(07).
                15 WS-T33-POLICY-NUM-X REDEFINES
                   WS-T33-POLICY-NUM              PIC X(07).
                15 WS-T33-CROP-YEAR               PIC 9(04).
                15 WS-T33-CROP-YEAR-X REDEFINES
                   WS-T33-CROP-YEAR               PIC X(04).
                15 WS-T33-CROP-CD                 PIC 9(03).
                15 WS-T33-CROP-CD-X REDEFINES
                   WS-T33-CROP-CD                 PIC X(03).
                15 WS-T33-FILLER-3                PIC X(15).
                15 WS-T33-RECORD-NUM              PIC 9(03).
                15 WS-T33-RECORD-NUM-X REDEFINES
                   WS-T33-RECORD-NUM              PIC X(03).
                15 WS-T33-ESTIMATE-PREM           PIC 9(10).
                15 WS-T33-ESTIMATE-PREM-X REDEFINES
                   WS-T33-ESTIMATE-PREM           PIC X(10).
                15 WS-T33-ESTIMATE-LOSS           PIC 9(10).
                15 WS-T33-ESTIMATE-LOSS-X REDEFINES
                   WS-T33-ESTIMATE-LOSS           PIC X(10).
                15 WS-T33-FILLER-4                PIC X(166).
                15 WS-T33-RO-CONTROL-DATE         PIC 9(06).
                15 WS-T33-FCIC-CONTROL-TIME REDEFINES
                   WS-T33-RO-CONTROL-DATE         PIC 9(06).
                15 WS-T33-FCIC-CONTROL-DATE       PIC 9(06).
                15 WS-T33-FILLER-5                PIC X(12).
                15 WS-T33-POSITION-250            PIC X(01).
                15 FILLER                         PIC X(98).


             10 WS-TRANSACTION-REC49 REDEFINES
                WS-TRANS-REC.
                15 WS-T49-RECORD-TYPE             PIC 9(02).
                15 WS-T49-RECORD-TYPE-X REDEFINES
                   WS-T49-RECORD-TYPE             PIC X(02).
                15 WS-T49-REPORTING-ORG           PIC X(02).
                15 WS-T49-LOC-STATE               PIC 9(02).
                15 WS-T49-LOC-STATE-X REDEFINES
                   WS-T49-LOC-STATE               PIC X(02).
                15 WS-T49-COMPANY-COUNTY          PIC 9(03).
                15 WS-T49-COMPANY-COUNTY-X REDEFINES
                   WS-T49-COMPANY-COUNTY          PIC X(03).
                15 WS-T49-POLICY-NUM              PIC 9(07).
                15 WS-T49-POLICY-NUM-X REDEFINES
                   WS-T49-POLICY-NUM              PIC X(07).
                15 WS-T49-CROP-YEAR               PIC 9(04).
                15 WS-T49-CROP-YEAR-X REDEFINES
                   WS-T49-CROP-YEAR               PIC X(04).
                15 WS-T49-FILLER-1                PIC X(330).


             10 WS-TRANSACTION-REC50 REDEFINES
                WS-TRANS-REC.
                15 WS-T50-RECORD-TYPE             PIC 9(02).
                15 WS-T50-RECORD-TYPE-X REDEFINES
                   WS-T50-RECORD-TYPE             PIC X(02).
                15 WS-T50-REPORTING-ORG           PIC X(02).
                15 WS-T50-FSA-SERVICE-STATE
                    REDEFINES WS-T50-REPORTING-ORG PIC 9(02).
                15 WS-T50-FSA-SERVICE-STATE-X
                    REDEFINES WS-T50-REPORTING-ORG PIC X(02).
                15 WS-T50-LOC-STATE               PIC 9(02).
                15 WS-T50-LOC-STATE-X REDEFINES
                   WS-T50-LOC-STATE               PIC X(02).
                15 WS-T50-COMPANY-COUNTY          PIC 9(03).
                15 WS-T50-COMPANY-COUNTY-X REDEFINES
                   WS-T50-COMPANY-COUNTY          PIC X(03).
                15 WS-T50-POLICY-NUM              PIC 9(07).
                15 WS-T50-POLICY-NUM-X REDEFINES
                   WS-T50-POLICY-NUM              PIC X(07).
                15 WS-T50-CROP-YEAR               PIC 9(04).
                15 WS-T50-CROP-YEAR-X REDEFINES
                   WS-T50-CROP-YEAR               PIC X(04).
                15 WS-T50-PRIVATE-POLICY-CD       PIC X(03).
                15 WS-T50-DELETE-FLG              PIC 9(01).
                15 WS-T50-DELETE-FLG-X REDEFINES
                   WS-T50-DELETE-FLG              PIC X(01).
                15 WS-T50-FILLER-2                PIC X(02).
                15 WS-T50-PRIVATE-POLICY-NUM      PIC X(06).
                15 WS-T50-CROP-CD                 PIC 9(03).
                15 WS-T50-CROP-CD-X REDEFINES
                   WS-T50-CROP-CD                 PIC X(03).
                15 WS-T50-LOCATION-COUNTY         PIC 9(03).
                15 WS-T50-LOCATION-COUNTY-X REDEFINES
                   WS-T50-LOCATION-COUNTY         PIC X(03).
                15 WS-T50-ID-TYPE                 PIC 9(01).
                15 WS-T50-ID-TYPE-X REDEFINES
                   WS-T50-ID-TYPE                 PIC X(01).
                15 WS-T50-ID-NUM                  PIC 9(09).
                15 WS-T50-ID-NUM-X REDEFINES
                   WS-T50-ID-NUM                  PIC X(09).
                15 WS-T50-COVERAGE-LVL-PCT        PIC 9(02).
                15 WS-T50-COVERAGE-LVL-PCT-X REDEFINES
                   WS-T50-COVERAGE-LVL-PCT        PIC X(02).
                15 WS-T50-REPORTED-ACRES          PIC 9(06)V9(02).
                15 WS-T50-REPORTED-ACRES-X REDEFINES
                   WS-T50-REPORTED-ACRES          PIC X(08).
                15 WS-T50-LIABILITY               PIC 9(09).
                15 WS-T50-LIABILITY-X REDEFINES
                   WS-T50-LIABILITY               PIC X(09).
                15 WS-T50-TOTAL-PREMIUM           PIC 9(08).
                15 WS-T50-TOTAL-PREMIUM-X REDEFINES
                   WS-T50-TOTAL-PREMIUM           PIC X(08).
                15 WS-T50-TOTAL-INDEMNITY         PIC 9(07).
                15 WS-T50-TOTAL-INDEMNITY-X REDEFINES
                   WS-T50-TOTAL-INDEMNITY         PIC X(07).
                15 WS-T50-FILLER-3                PIC X(145).
                15 WS-T50-RO-CONTROL-DATE         PIC 9(06).
                15 WS-T50-FCIC-CONTROL-TIME REDEFINES
                   WS-T50-RO-CONTROL-DATE         PIC 9(06).
                15 WS-T50-FCIC-CONTROL-DATE       PIC 9(06).
                15 WS-T50-FILLER-4                PIC X(12).
                15 WS-T50-POSITION-250            PIC X(01).
                15 FILLER                         PIC X(98).


             10 WS-TRANSACTION-REC55 REDEFINES
                WS-TRANS-REC.
                15 WS-T55-RECORD-TYPE             PIC 9(02).
                15 WS-T55-RECORD-TYPE-X REDEFINES
                   WS-T55-RECORD-TYPE             PIC X(02).
                15 WS-T55-REPORTING-ORG           PIC X(02).
                15 WS-T55-SERV-STATE              PIC 9(02).
                15 WS-T55-SERV-STATE-X REDEFINES
                   WS-T55-SERV-STATE              PIC X(02).
                15 WS-T55-ACTIVE-FLG              PIC X(01).
                15 WS-T55-INACTIVE-DATE           PIC X(08).
                15 WS-T55-FILLER-1                PIC X(02).
                15 WS-T55-CROP-YEAR               PIC 9(04).
                15 WS-T55-CROP-YEAR-X REDEFINES
                   WS-T55-CROP-YEAR               PIC X(04).
                15 WS-T55-TYPE-OF-ID-CODE         PIC X(01).
                15 WS-T55-AGENT-ID                PIC X(09).
                15 WS-T55-AGENT-LAST-NAME         PIC X(20).
                15 WS-T55-AGENT-FIRST-NAME        PIC X(12).
                15 WS-T55-AGENT-MID-NAME          PIC X(10).
                15 WS-T55-AGENT-SUFFIX            PIC X(05).
                15 WS-T55-AGENT-TITLE             PIC X(04).
                15 WS-T55-AGENCY-NAME             PIC X(35).
                15 WS-T55-BUSINESS-ADDRESS        PIC X(35).
                15 WS-T55-CITY                    PIC X(35).
                15 WS-T55-COUNTY                  PIC 9(03).
                15 WS-T55-COUNTY-X REDEFINES
                   WS-T55-COUNTY                  PIC X(03).
                15 WS-T55-ADDRESS-STATE           PIC X(02).
                15 WS-T55-ZIP-CODE                PIC 9(05).
                15 WS-T55-ZIP-CODE-X REDEFINES
                   WS-T55-ZIP-CODE                PIC X(05).
                15 WS-T55-ZIP-EXTEN               PIC 9(04).
                15 WS-T55-ZIP-EXTEN-X REDEFINES
                   WS-T55-ZIP-EXTEN               PIC X(04).
                15 WS-T55-FILLER-2                PIC X(06).
                15 WS-T55-PHONE-NUM               PIC 9(10).
                15 WS-T55-PHONE-NUM-X REDEFINES
                   WS-T55-PHONE-NUM               PIC X(10).
                15 WS-T55-PHONE-EXTEN             PIC X(06).
                15 WS-T55-FILLER-3                PIC X(26).
                15 WS-T55-SOC-SEC-NUM             PIC 9(09).
                15 WS-T55-SOC-SEC-NUM-X REDEFINES
                   WS-T55-SOC-SEC-NUM             PIC X(09).
                15 WS-T55-FILLER-4                PIC X(84).
                15 WS-T55-CONTROL-DATE            PIC X(08).


             10 WS-TRANSACTION-REC56 REDEFINES
                WS-TRANS-REC.
                15 WS-T56-RECORD-TYPE             PIC 9(02).
                15 WS-T56-RECORD-TYPE-X REDEFINES
                   WS-T56-RECORD-TYPE             PIC X(02).
                15 WS-T56-REPORTING-ORG           PIC X(02).
                15 WS-T56-ACTIVE-FLG              PIC X(01).
                15 WS-T56-INACTIVE-DATE           PIC X(08).
                15 WS-T56-FILLER-1                PIC X(02).
                15 WS-T56-REINS-YEAR              PIC 9(04).
                15 WS-T56-REINS-YEAR-X REDEFINES
                   WS-T56-REINS-YEAR              PIC X(04).
                15 WS-T56-FILLER-2                PIC X(01).
                15 WS-T56-ADJUSTER-ID             PIC X(09).
                15 WS-T56-ADJ-LAST-NAME           PIC X(20).
                15 WS-T56-ADJ-FIRST-NAME          PIC X(12).
                15 WS-T56-ADJ-MID-NAME            PIC X(10).
                15 WS-T56-ADJ-SUFFIX              PIC X(05).
                15 WS-T56-ADJ-TITLE               PIC X(04).
                15 WS-T56-ADDRESS-STATE           PIC X(02).
                15 WS-T56-FILLER-3                PIC X(154).
                15 WS-T56-ADJUSTER-SSN            PIC 9(09).
                15 WS-T56-ADJUSTER-SSN-X REDEFINES
                   WS-T56-ADJUSTER-SSN            PIC X(09).
                15 WS-T56-FILLER-4                PIC X(97).
                15 WS-T56-FSA-CONTROL-DATE        PIC 9(08).


             10 WS-TRANSACTION-REC65 REDEFINES
                WS-TRANS-REC.
                15 WS-T65-RECORD-TYPE             PIC 9(02).
                15 WS-T65-RECORD-TYPE-X REDEFINES
                   WS-T65-RECORD-TYPE             PIC X(02).
                15 WS-T65-REPORTING-ORG           PIC X(02).
                15 WS-T65-FSA-SERVICE-STATE
                    REDEFINES WS-T65-REPORTING-ORG PIC 9(02).
                15 WS-T65-FSA-SERVICE-STATE-X
                    REDEFINES WS-T65-REPORTING-ORG PIC X(02).
                15 WS-T65-LOC-STATE               PIC 9(02).
                15 WS-T65-LOC-STATE-X REDEFINES
                   WS-T65-LOC-STATE               PIC X(02).
                15 WS-T65-COMPANY-COUNTY          PIC 9(03).
                15 WS-T65-COMPANY-COUNTY-X REDEFINES
                   WS-T65-COMPANY-COUNTY          PIC X(03).
                15 WS-T65-POLICY-NUM              PIC 9(07).
                15 WS-T65-POLICY-NUM-X REDEFINES
                   WS-T65-POLICY-NUM              PIC X(07).
                15 WS-T65-CROP-YEAR               PIC 9(04).
                15 WS-T65-CROP-YEAR-X REDEFINES
                   WS-T65-CROP-YEAR               PIC X(04).
                15 WS-T65-LOC-COUNTY              PIC 9(03).
                15 WS-T65-LOC-COUNTY-X REDEFINES
                   WS-T65-LOC-COUNTY              PIC X(03).
                15 WS-T65-CR-CD-AF                PIC 9(05).
                15 WS-T65-CR-CD-AF-X REDEFINES
                   WS-T65-CR-CD-AF                PIC X(05).
                15 WS-T65-CR-CD-AM                PIC 9(05).
                15 WS-T65-CR-CD-AM-X REDEFINES
                   WS-T65-CR-CD-AM                PIC X(05).
                15 WS-T65-CR-CD-BF                PIC 9(05).
                15 WS-T65-CR-CD-BF-X REDEFINES
                   WS-T65-CR-CD-BF                PIC X(05).
                15 WS-T65-CR-CD-BM                PIC 9(05).
                15 WS-T65-CR-CD-BM-X REDEFINES
                   WS-T65-CR-CD-BM                PIC X(05).
                15 WS-T65-CR-CD-HF                PIC 9(05).
                15 WS-T65-CR-CD-HF-X REDEFINES
                   WS-T65-CR-CD-HF                PIC X(05).
                15 WS-T65-CR-CD-HM                PIC 9(05).
                15 WS-T65-CR-CD-HM-X REDEFINES
                   WS-T65-CR-CD-HM                PIC X(05).
                15 WS-T65-CR-CD-IF                PIC 9(05).
                15 WS-T65-CR-CD-IF-X REDEFINES
                   WS-T65-CR-CD-IF                PIC X(05).
                15 WS-T65-CR-CD-IM                PIC 9(05).
                15 WS-T65-CR-CD-IM-X REDEFINES
                   WS-T65-CR-CD-IM                PIC X(05).
                15 WS-T65-CR-CD-WF                PIC 9(05).
                15 WS-T65-CR-CD-WF-X REDEFINES
                   WS-T65-CR-CD-WF                PIC X(05).
                15 WS-T65-CR-CD-WM                PIC 9(05).
                15 WS-T65-CR-CD-WM-X REDEFINES
                   WS-T65-CR-CD-WM                PIC X(05).
                15 WS-T65-CR-CD-U                 PIC 9(05).
                15 WS-T65-CR-CD-U-X REDEFINES
                   WS-T65-CR-CD-U                 PIC X(05).
                15 WS-T65-DELETE-FLG              PIC 9(01).
                15 WS-T65-DELETE-FLG-X REDEFINES
                   WS-T65-DELETE-FLG              PIC X(01).
                15 WS-T65-FILLER-3                PIC X(148).
                15 WS-T65-RO-CONTROL-DATE         PIC 9(06).
                15 WS-T65-FCIC-CONTROL-TIME REDEFINES
                   WS-T65-RO-CONTROL-DATE         PIC 9(06).
                15 WS-T65-FCIC-CONTROL-DATE       PIC 9(06).
                15 WS-T65-FILLER-4                PIC X(12).
                15 WS-T65-POSITION-250            PIC X(01).
                15 FILLER                         PIC X(98).


             10 WS-T97-TRAILER REDEFINES
                WS-TRANS-REC.
                15 WS-T97-RECORD-TYPE             PIC 9(02).
                15 WS-T97-REPORTING-ORG           PIC X(02).
                15 WS-T97-LOC-STATE               PIC 9(02).
                15 WS-T97-COMPANY-COUNTY          PIC 9(03).
                15 WS-T97-FILLER-1                PIC X(66).
                15 WS-T97-REINSURANCE-YR          PIC 9(04).
                15 WS-T97-CROP-YR-1               PIC 9(04).
                15 WS-T97-TOTAL-ACRES-1           PIC 9(08)V9(02).
                15 WS-T97-TOTAL-LIABILITY-1       PIC 9(10).
                15 WS-T97-TOTAL-PREMIUM-1         PIC 9(08).
                15 WS-T97-TOTAL-PROD-PREMIUM-1    PIC 9(08).
                15 WS-T97-TOTAL-LOSSES-1          PIC 9(08).
                15 WS-T97-TOTAL-PAID-1            PIC 9(08).
                15 WS-T97-CROP-YR-2               PIC 9(04).
                15 WS-T97-TOTAL-ACRES-2           PIC 9(08)V9(02).
                15 WS-T97-TOTAL-LIABILITY-2       PIC 9(10).
                15 WS-T97-TOTAL-PREMIUM-2         PIC 9(08).
                15 WS-T97-TOTAL-PROD-PREMIUM-2    PIC 9(08).
                15 WS-T97-TOTAL-LOSSES-2          PIC 9(08).
                15 WS-T97-TOTAL-PAID-2            PIC 9(08).
                15 WS-T97-CROP-YR-3               PIC 9(04).
                15 WS-T97-TOTAL-ACRES-3           PIC 9(08)V9(02).
                15 WS-T97-TOTAL-LIABILITY-3       PIC 9(10).
                15 WS-T97-TOTAL-PREMIUM-3         PIC 9(08).
                15 WS-T97-TOTAL-PROD-PREMIUM-3    PIC 9(08).
                15 WS-T97-TOTAL-LOSSES-3          PIC 9(08).
                15 WS-T97-TOTAL-PAID-3            PIC 9(08).
                15 WS-T97-TYPE-10-COUNT           PIC 9(06).
                15 WS-T97-TYPE-11-COUNT           PIC 9(06).
                15 WS-T97-TYPE-12-COUNT           PIC 9(06).
                15 WS-T97-TYPE-15-COUNT           PIC 9(06).
                15 WS-T97-TYPE-20-COUNT           PIC 9(06).
                15 WS-T97-TYPE-21-COUNT           PIC 9(06).
                15 WS-T97-ASSIGNED-RISK-COUNT     PIC 9(06).
                15 WS-T97-OTHER-RECORD-COUNT      PIC 9(06).
                15 WS-T97-DELETE-COUNT            PIC 9(06).
                15 WS-T97-TOTAL-RECORD-COUNT      PIC 9(07).
                15 WS-T97-FILLER-2                PIC X(42).


             10 WS-T00-HEADER REDEFINES
                WS-TRANS-REC.
                15 WS-T00-RECORD-TYPE             PIC X(02).
                15 WS-T00-REPORTING-ORG           PIC X(02).
                15 FILLER                         PIC X(31).
                15 WS-T00-INPUT-FILE              PIC X(08).
                15 FILLER                         PIC X(04).
                15 WS-T00-FILE-DATE.
                   20 WS-T00-FILE-YEAR               PIC 9(04).
                   20 WS-T00-FILE-MONTH              PIC 9(02).
                   20 WS-T00-FILE-DAY                PIC 9(02).
                15 FILLER                         PIC X(04).
                15 WS-T00-FILE-TIME               PIC 9(06).
                15 FILLER                         PIC X(285).


          05 WS-FCIC-CONTROL-TIME                  PIC 9(08).
          05 WS-FCIC-CONTROL-DATE                  PIC 9(08).
          05 WS-REINS-YR                           PIC 9(04).
          05 WS-BATCH-NO                           PIC 9(04).
          05 WS-TRAN-SEQ-NO                        PIC 9(08).
          05 WS-TRAN-REJ-FLAG                      PIC X(01).
          05 WS-TRAN-SOURCE-FLAG                   PIC X(01).
          05 WS-MDAS-PROCESS-NO                    PIC 9(02).
          05 WS-FILLER-14                          PIC X(14).


